/*
 * Copyright (C) 2020 by Savoir-faire Linux
 * Author: Mingrui Zhang <mingrui.zhang@savoirfairelinux.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

import QtQuick 2.14
import QtQuick.Controls 2.14
import net.jami.Models 1.0

Rectangle {
    id: root

    property int accountStatus: 5

    width: 12
    height: 12

    Rectangle {
        id: presenceCycle

        anchors.centerIn: root

        width: 10
        height: 10

        radius: 30
        color: {
            if (accountStatus === Account.Status.REGISTERED)
                return JamiTheme.presenceGreen
            else if (accountStatus === Account.Status.TRYING)
                return JamiTheme.unPresenceOrange
            return JamiTheme.notificationRed
        }
    }

    radius: 30
    color: JamiTheme.backgroundColor
}
